Package org.eclipse.birt.core.archive.compound

# Interface IArchiveFile

All Known Implementing Classes:
  `ArchiveFile`, `ArchiveFileV1`, `ArchiveFileV2`, `ArchiveFileV3`, `ArchiveView`, `FolderArchiveFile`

public interface IArchiveFile

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ArchiveEntry`
`createEntry(String name)`
`boolean`
`exists(String name)`
`void`
`flush()`
`String`
`getDependId()`
`long`
`getLength()`
`String`
`getName()`
`String`
`getSystemId()`
`long`
`getUsedCache()`
`List<String>`
`listEntries(String namePattern)`
`Object`
`lockEntry(String entry)`
`ArchiveEntry`
`openEntry(String name)`
`void`
`refresh()`
`boolean`
`removeEntry(String name)`
`void`
`save()`
`void`
`setCacheSize(long cacheSize)`
`void`
`unlockEntry(Object locker)`

## Method Details

### getName

String getName()

### close

void close() throws IOException

Throws:
  `IOException`

### flush

void flush() throws IOException

Throws:
  `IOException`

### refresh

void refresh() throws IOException

Throws:
  `IOException`

### exists

boolean exists(String name)

### setCacheSize

void setCacheSize(long cacheSize)

### getUsedCache

long getUsedCache()

### openEntry

ArchiveEntry openEntry(String name) throws IOException

Throws:
  `IOException`

### listEntries

List<String> listEntries(String namePattern)

### createEntry

ArchiveEntry createEntry(String name) throws IOException

Throws:
  `IOException`

### removeEntry

boolean removeEntry(String name) throws IOException

Throws:
  `IOException`

### lockEntry

Object lockEntry(String entry) throws IOException

Throws:
  `IOException`

### unlockEntry

void unlockEntry(Object locker) throws IOException

Throws:
  `IOException`

### getSystemId

String getSystemId()

### getDependId

String getDependId()

### save

void save() throws IOException

Throws:
  `IOException`

### getLength

long getLength()